[SRU] Juju 1.25.6

Bug #1611855 reported by Nicholas Skaggs on 2016-08-10
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
juju-core (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
juju-core-1 (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned

Bug Description

Juju 1.25.6 is a stable update containing critical bug fixes, including MAAS compatibility, for the 1.25 series.

[SRU Information]

juju-core has a stable release exception, including for major version updates, https://wiki.ubuntu.com/JujuUpdates.

[Impact]
This update brings critical fixes and enhancements in comparison to the current 1.25.5 release.

A full list of targeted bugs can be seen against the milestone:

https://launchpad.net/juju-core/+milestone/1.25.6

[QA/Testing]
Juju practices continuous integration and testing of the juju source tree. The results for this release can be seen here.

http://reports.vapour.ws/releases/4134

In addition, juju has adt test coverage for all supported archs:

http://autopkgtest.ubuntu.com/packages/j/juju-core/
http://autopkgtest.ubuntu.com/packages/j/juju-core-1/

Finally, manual verification and testing of the package has been done per https://wiki.ubuntu.com/JujuUpdates

summary: - [SRU] Juju 1.25.6
+ [SRU] Juju 1.25.6 for trusty
Chris J Arges (arges) on 2016-08-10
summary: - [SRU] Juju 1.25.6 for trusty
+ [SRU] Juju 1.25.6
description: updated
Steve Langasek (vorlon) wrote :

The SRU to trusty introduces a packaging change, to change debian/compat from 7 to 9. This is a deceptively small change; while we definitely want to be using debhelper level 9 or better everywhere in the devel series, this is not normally a change we would accept in an SRU and is not covered by the JujuUpdates upstream release exception (it's packaging, not upstream).

What analysis has been done of the differences (if any) introduced in the resulting binaries packages as a result of this change?

Changed in juju-core (Ubuntu):
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package juju-core-1 - 1.25.6-0ubuntu1.16.10.1

---------------
juju-core-1 (1.25.6-0ubuntu1.16.10.1) yakkety; urgency=medium

  * New 1.25.6 upstream release. (LP: #1611855)

 -- Martin Packman <email address hidden> Tue, 26 Jul 2016 19:03:51 +0000

Changed in juju-core-1 (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :

The juju-core-1 upload shows this delta:

--- juju-core-1-1.25.5/debian/juju-1-default.links 2016-04-20 00:21:44.000000000 +0000
+++ juju-core-1-1.25.6/debian/juju-1-default.links 1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-usr/bin/juju-1 usr/bin/juju

This looks incorrect - doesn't this completely invalidate the purpose of the juju-1-default package?

Changed in juju-core (Ubuntu Trusty):
status: New → Incomplete
Changed in juju-core (Ubuntu):
status: Incomplete → Invalid
Changed in juju-core (Ubuntu Xenial):
status: New → Invalid
Changed in juju-core-1 (Ubuntu Trusty):
status: New → Invalid
Changed in juju-core-1 (Ubuntu):
status: Fix Released → Incomplete
Nicholas Skaggs (nskaggs) wrote :

I've restored the debhelper script to version 7 as released. The juju-1-default.links file was present in my version, heh, but not added and thus not in the repository. This too has been corrected.

Hello Nicholas, or anyone else affected,

Accepted juju-core into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/juju-core/1.25.6-0ubuntu1.14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in juju-core (Ubuntu Trusty):
status: Incomplete → Fix Committed
tags: added: verification-needed
Changed in juju-core-1 (Ubuntu Xenial):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Nicholas, or anyone else affected,

Accepted juju-core-1 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/juju-core-1/1.25.6-0ubuntu1.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in juju-core-1 (Ubuntu):
status: Incomplete → Fix Committed
Changed in juju-core (Ubuntu):
status: Invalid → Fix Committed
Steve Langasek (vorlon) on 2016-08-16
Changed in juju-core (Ubuntu):
status: Fix Committed → Invalid
Nicholas Skaggs (nskaggs) wrote :

Tested on xenial. Deploys, tearsdown, installs and removes cleanly, and works with juju-1-default as expected.

Felipe Reyes (freyes) wrote :

Tested on trusty:

Providers tested:

* openstack (liberty)
* maas 1.9.4 + LXC containers

Environments:

* openstack basic deployment (cinder, nova, glance, neutron)
* mediawiki + memcached + mysql
* wordpress + mysql

In all the environments a clean bootstrap using 1.25.6 and upgrading from 1.25.5 was done. No problem were found in any of my tests.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package juju-core - 1.25.6-0ubuntu1.14.04.1

---------------
juju-core (1.25.6-0ubuntu1.14.04.1) trusty-proposed; urgency=medium

  * New 1.25.6 upstream release. (LP: #1611855)

 -- Martin Packman <email address hidden> Tue, 26 Jul 2016 19:03:51 +0000

Changed in juju-core (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for juju-core has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package juju-core-1 - 1.25.6-0ubuntu1.16.04.1

---------------
juju-core-1 (1.25.6-0ubuntu1.16.04.1) xenial-proposed; urgency=medium

  [ Martin Packman ]
  * New 1.25.6 upstream release. (LP: #1611855)

  [ Nicholas Skaggs ]
  * restore accidently removed .links file

 -- Martin Packman <email address hidden> Tue, 26 Jul 2016 19:03:51 +0000

Changed in juju-core-1 (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers